#!/bin/bash

rm -f ener_profile

#for dist in `seq 2.3 0.1 6.0`
for dist in 2.3 2.4 2.5 2.6 2.7 2.8 2.9 3.0 3.1 3.2 3.3 3.4 3.5 3.6 3.7 3.8 3.9 4.0 4.1 4.2 4.3 4.4 4.5 4.6 4.7 4.8 4.9 5.0 5.1 5.2 5.3 5.4 5.5 5.6 5.7 5.8 5.9 6.0 ; do

  #
  # compute energy 
  # 
  echo "Computing potential energy for distance $dist"
  sed "s/MYDIST/${dist}/g" NaCl_pot.in > inp
  cp2k.sopt inp > out 
  ener=`grep ' ENERGY| Total FORCE_EVAL' out | awk '{print $NF}'`
  echo $dist $ener >> ener_profile

done

